#include "mainwindow.h"
#include "ui_mainwindow.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(&slip,SIGNAL(rxpacket(QByteArray)),this,SLOT(handlerxpacket(QByteArray)));
    connect(&slip,SIGNAL(testMsg(QString)),this,SLOT(handletestmsg(QString)));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_textinput_returnPressed()
{
    slip.sendpacket(ui->textinput->text().toLatin1());
    ui->textinput->clear();
}

void MainWindow::handlerxpacket(QByteArray pkt)
{
    ui->textoutput->setText(pkt);
    ui->listWidget->addItem(pkt);
}

void MainWindow::on_connect_clicked()
{
    slip.close();
    slip.setPortName(ui->port->text());
    slip.setBaudRate(QSerialPort::Baud9600);
    if(!slip.open(QIODevice::ReadWrite))
        ui->plainTextEdit->appendPlainText("Failed to open com port");
     else ui->plainTextEdit->appendPlainText("Com port open");
}


void MainWindow::handletestmsg(QString msg)
{
    ui->plainTextEdit->setPlainText(ui->plainTextEdit->document()->toPlainText()+msg);
}
